<template>
  <v-list :dense="dense">
    <div>
      <div
        v-for="subType in submissionTypes"
        :key="subType.pk"
      >
        <subscription-for-list
          :name="subType.name"
          :sub_type_pk="subType.pk"
          :available="1"
        />
      </div>
    </div>
  </v-list>
</template>

<script>
import SubscriptionForList from '@/components/subscriptions/SubscriptionForList'
import { Assignments } from '@/store/modules/assignments'
import store from '../../store/store'
import { ConfigModule } from '../../store/modules/config'
export default {
  name: 'SubscriptionsForStage',
  components: {
    SubscriptionForList
  },
  props: {
    stage: {
      type: String,
      required: true
    },
    dense: {
      type: Boolean,
      default: false
    }
  },
  computed: {
      submissionTypes () { return Object.values(store.state.submissionTypes).filter(submissionType => {
        return submissionType.examType.moduleReference === ConfigModule.state.config.currentExam
    })}
  }
}
</script>

<style scoped>

</style>
